<?php
/***************************************************************************************************
The following variables you may need/wish to change:
***************************************************************************************************/
$path       = "C:\\htdocs\\DynDNS"; // Path to the DynDNS directory, for the script (DynDNS.php/this
                                    // file) and the temporary IP files -> Change this!
$IPregex    = "^192\.168\."; // The regular expression you wish to use (if you also have a LAN IP)
                             // -> Change this!
                             // This way it will definitely not work, because 192.168.*.* is ALWAYS
                             // a LAN IP (most routers will not pass traffic going to IP addresses
                             // in the range of 192.168.*.* and 10.0.*.*)...
                             // A note about the regular expression (if you don't know about POSIX
                             // regular expressions):
                             // -put "^" in the front (just like it is now)
                             // -then fill in the first number of your IP address (the number before
                             //  the first dot, here "192")
                             // -then you HAVE TO USE "\." for the first (and second etc.) dot,
                             //  because the dot is used in regular expressions for one character,
                             //  so you can't use a dot as itself, you have to ESCAPE it by putting
                             //  a backslash before it (so you get "\." instead of ".")
                             // -then fill in the second number of your IP address (here "168")
                             // -and finally "\." for the second dot
                             //
                             // The idea behind this is as follows (if you're interested):
                             // -every PC with an IP stack has the IP address 127.0.0.1 (also known
                             //  as the alias "localhost"), so that one can definitely be discarded
                             //  as your internet IP address, because it refers to your own computer
                             // -then you have an internet IP address, which normally wouldn't
                             //  change in the first two octets (so the first two numbers), so if
                             //  you put in $IPregex the first two octets of your internet IP
                             //  address, this script has a sure way of knowing what your internet
                             //  IP address is, because it can check on the first two octets of all
                             //  your IP addresses (and you have at least two, localhost and the
                             //  internet IP address)
                             // -I suspect that most of the people using this DynDNS client are
                             //  script fiddlers themselves (like I am) and when they're geeks, they
                             //  probably have more than one PC at home, linked to one another with
                             //  network cards, and when your PC has a network card, it could have
                             //  at least three IP addresses (localhost, the network and the
                             //  internet IP addresses), so I definitely need a way to check,
                             //  because you could be of a large company with its own IP range,
                             //  instead of someone at home using the IP range 192.168.*.* or
                             //  10.0.*.*, which are especially meant for a personal local network
                             //  at home (or a small company)...
$port       = 8245; // Should not be changed normally, but you could put 80 here instead of 8245
$subdomain  = "whatever.dyndns.org"; // The name of your DynDNS subdomain -> Change this!
$login      = "whatever"; // Login name for the DynDNS NIC -> Change this!
$pass       = "secret"; // Password for the DynDNS NIC -> Change this!
$initDelay  = 10; // Delay in seconds to check whether IP address has changed
$tz         = date("Z") / 60 / 60 * -1; // TimeZone - Should not be changed normally
$host       = "members.dyndns.org"; // Should not be changed normally
$URI        = "/nic/update/"; // Should not be changed normally
$ua         = "DynDNS.php/1.01 R.J.Vrijhof@bigfoot.com"; // User Agent string, please do not alter!
?>
